CVE-2021-40400

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2021-40400
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2021-40400.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2021-40400
Related
Published
2022-04-14T20:15:08Z
Modified
2024-06-30T13:12:30.314783Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS Calculator
Summary
[none]
Details

An out-of-bounds read vulnerability exists in the RS-274X aperture macro outline primitive functionality of Gerbv 2.7.0 and dev (commit b5f1eacd) and the forked version of Gerbv (commit d7f42a9a). A specially-crafted Gerber file can lead to information disclosure. An attacker can provide a malicious file to trigger this vulnerability.

References

Affected packages

Debian:11 / gerbv

Package

Name
gerbv
Purl
pkg:deb/debian/gerbv?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2.*

2.7.0-2
2.7.0-2+deb11u1
2.7.0-2+deb11u2
2.7.1-1
2.8.0-1
2.8.1-1
2.8.2-1
2.9.2-1
2.9.3-1
2.9.4-1
2.9.5-1
2.9.6-1
2.9.8-1
2.10.0-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / gerbv

Package

Name
gerbv
Purl
pkg:deb/debian/gerbv?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.9.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / gerbv

Package

Name
gerbv
Purl
pkg:deb/debian/gerbv?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.9.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/gerbv/gerbv

Affected ranges

Type
GIT
Repo
https://github.com/gerbv/gerbv
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

Other

gerbv-2-7-RELEASE

v2.*

v2.6.1
v2.7.0